﻿using COA.EnterpriseServices.DataAccess.Entities;
using System.Collections.Generic;
using System.Text;

namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class CreditorHelper : BaseHelper<Creditor>
    {
        public Creditor GetCreditor(int id)
        {
            return Invoke(d => d.Get(id));
        }

        public ICollection<Creditor> FindCreditorsByName(string name)
        {
            return Invoke(d => d.Get(c => c.ClientFirstName.Contains(name) || c.ClientLastName.Contains(name)));
        }

        public ICollection<Creditor> FindByStatus(string status)
        {
            return Invoke(d => d.Get(c => c.Status == status));
        }

        public bool AddCreditor(Creditor creditor)
        {
            return Invoke(d => d.Add(creditor));
        }
    }
}
